#include "Vector4.hpp"

#include "../iVector/iVector4.hpp"

using MathEngine::Vector4;
using MathEngine::iVector4;

Vector4::Vector4( const float X /*= 0.0f*/, const float Y /*= 0.0f*/, const float Z /*= 0.0f*/, const float W /*= 0.0f*/)
	: Vector3( X, Y, Z ), w(W)
{}

Vector4::Vector4( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.w);
	w = float(copy.h);
}

Vector4& Vector4::operator=( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.w);
	w = float(copy.h);

	return *this;
}

Vector4::Vector4( const iVector4& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.z);
	w = float(copy.w);
}

Vector4& Vector4::operator=( const iVector4& copy )
{
	x = float(copy.x);
	y = float(copy.y);
	z = float(copy.z);
	w = float(copy.w);

	return *this;
}